<template>
	<view class="container">
		<view class="row b-b flex jg">
			<text class="tit">头像</text>
			<image :src="userInfo.avatar" @click.stop="imgsub"></image>
		</view>
		<view class="row b-b flex">
			<text class="tit">昵称</text>
			<input class="input" v-model="userInfo.nickname" type="text" placeholder-class="placeholder" />
		</view>
		<view class="row b-b flex">
			<text class="tit">ID</text>
			<input class="input" v-model="userInfo.uid" type="text" disabled="true" placeholder-class="placeholder" />
		</view>
		<view class="row b-b flex">
			<text class="tit">用户账号</text>
			<input class="input" v-model="userInfo.account || userInfo.phone" type="number" disabled="true" placeholder-class="placeholder" />
		</view>
		<view class="submit-box ">
			<view class="submit" @click="edit">确认修改</view>
			<view class="submit submit1" @click="toLogout">退出登录</view>
		</view>
	</view>
</template>

<script>
import uniList from '@/components/uni-list/uni-list.vue';
import uniListItem from '@/components/uni-list-item/uni-list-item.vue';
import { mapState, mapMutations } from 'vuex';
import { logout } from '@/api/set.js';

import { uploads, edit, upload } from '@/api/user.js';
export default {
	components: {
		uniList,
		uniListItem
	},
	data() {
		return {
			userInfo: {},
			pics: []
		};
	},
	onLoad() {
		this.userInfo = uni.getStorageSync('userInfo') || '';
		console.log(this.userInfo);
	},
	methods: {
		...mapMutations('user', ['logout']),
		//退出登录
		toLogout() {
			let obj = this;
			uni.showModal({
				content: '确定要退出登录么',
				success: e => {
					if (e.confirm) {
						logout({})
							.then(e => {
								obj.logout();
								uni.switchTab({
									url: '/pages/index/index'
								});
							})
							.catch(e => {
								console.log(e);
							});
					}
				}
			});
		},
		imgsub() {
			let obj = this;
			upload({
				filename: ''
			}).then(res => {
				console.log(res, '上传图片');
				console.log(res[0].url);
				obj.userInfo.avatar = res[0].url;
			});
		},
		edit() {
			const that = this;
			uni.showLoading({
				title: '提交中...',
				mask: true
			});
			edit({
				avatar: this.userInfo.avatar,
				nickname: this.userInfo.nickname
			})
				.then(e => {
					uni.hideLoading();
					that.$api.msg('修改成功');
					setTimeout(() => {
						uni.switchTab({
							url: '/pages/user/user'
						});
					}, 1000);
				})
				.catch(e => {
					console.log(e);
					that.$api.msg('修改失败');
				});
		}
	}
};
</script>

<style lang="scss">
page {
	background-color: #f3f3f3;
	min-height: 100%;

	.container {
		height: 100%;
	}
}

.row {
	background-color: #fff;
	padding: 42rpx 25rpx;
	font-size: 30rpx;
	color: #333333;

	image {
		width: 80rpx;
		height: 80rpx;
		border-radius: 50%;
	}

	.input {
		text-align: right;
		color: #333333;
	}
}

.submit-box {
	padding-top: 157rpx;

	.submit {
		margin: 40rpx auto;
		width: 560rpx;
		background-color: #ee2f72;
		color: #ffffff;
		text-align: center;
		padding: 26rpx 0rpx;
		border-radius: 50rpx;
	}

	.submit1 {
		background-color: #ffffff;
		color: #ee2f72;
		border: 1px solid #ee2f72;
	}
}

.jg {
	margin-bottom: 20rpx;
}

.out {
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 0 auto 30rpx;
	width: 560rpx;
	height: 80rpx;
	border: 1px solid #58bab0;
	background: #ffffff;
	border-radius: 40px;
	color: #58bab0;
}
</style>
